const dotenv = require('dotenv');
dotenv.config();
//
const SOURCE_PATH = process.env.NODE_ENV === 'production' ? 'dist' : 'src';
module.exports = {
	type: process.env.DB_TYPE,
	host: process.env.DB_HOST,
	port: process.env.DB_PORT,
	username: process.env.DB_USER,
	password: process.env.DB_PASSWORD,
	database: process.env.DB_NAME,
	// entities: ["src/**/entities/*.ts"],
	entities: [ `${SOURCE_PATH}/**/entities/*{.ts,.js}` ],
	seeds: [ `${SOURCE_PATH}/**/seeds/*{.ts,.js}` ]
	// seeds: ['src/seeds/*.ts'],
};
